summaryrefslogtreecommitdiffstats
path: root/debian/dovecot-sieve.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:51:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:51:25 +0000
commit4a31b814a318a37fe8b58d42f2025e49072971e4 (patch)
tree5ba51f467804ef2f6fea80a7ea2682cbdec1ff8f /debian/dovecot-sieve.postrm
parentAdding upstream version 1:2.3.19.1+dfsg1. (diff)
downloaddovecot-4a31b814a318a37fe8b58d42f2025e49072971e4.tar.xz
dovecot-4a31b814a318a37fe8b58d42f2025e49072971e4.zip
Adding debian version 1:2.3.19.1+dfsg1-2.1.debian/1%2.3.19.1+dfsg1-2.1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/dovecot-sieve.postrm')
-rw-r--r--debian/dovecot-sieve.postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/dovecot-sieve.postrm b/debian/dovecot-sieve.postrm
new file mode 100644
index 0000000..db48cfc
--- /dev/null
+++ b/debian/dovecot-sieve.postrm
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "purge" ] ; then
+ for conffile in $(ucfq --with-colons dovecot-sieve | cut -d: -f1); do
+ # we mimic dpkg as closely as possible, so we remove configuration
+ # files with dpkg backup extensions too:
+ ### Some of the following is from Tore Anderson:
+ for ext in '~' '%' .bak .dpkg-tmp .dpkg-new .dpkg-old .dpkg-dist .ucf-new .ucf-old .ucf-dist; do
+ rm -f "$conffile$ext"
+ done
+ # remove the configuration file itself
+ rm -f "$conffile"
+ # and finally clear it out from the ucf database
+ if which ucf >/dev/null; then
+ ucf --purge "$conffile"
+ fi
+ if which ucfr >/dev/null; then
+ ucfr --purge dovecot-sieve "$conffile"
+ fi
+ done
+fi
+
+#DEBHELPER#